org.jboss.jca.common.api.metadata.common

## Enum SecurityManager

- java.lang.Object
- - java.lang.Enum<SecurityManager>
  - - org.jboss.jca.common.api.metadata.common.SecurityManager

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SecurityManager>

      public enum SecurityManager
      extends java.lang.Enum<SecurityManager>

  A SecurityManager.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION` APPLICATION
    `APPLICATION_AND_DOMAIN` APPLICATION_AND_DOMAIN
    `DOMAIN` DOMAIN
    `NONE` NONE

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SecurityManager` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SecurityManager[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATION

          public static final SecurityManager APPLICATION

      APPLICATION

    - #### DOMAIN

          public static final SecurityManager DOMAIN

      DOMAIN

    - #### APPLICATION_AND_DOMAIN

          public static final SecurityManager APPLICATION_AND_DOMAIN

      APPLICATION_AND_DOMAIN

    - #### NONE

          public static final SecurityManager NONE

      NONE

  - ### Method Detail

    - #### values

          public static SecurityManager[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecurityManager c : SecurityManager.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecurityManager valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)